#if defined 16F877
   #include <16f877a.h> 
#else
   #include <16f874.h>
#endif

#device  *=16 ADC=10
// --------------------------------------------------------------------------
// Configuration bits definitions.
// --------------------------------------------------------------------------
//__CONFIG(HS & WDTDIS & PWRTEN & BOREN & LVPDIS & UNPROTECT & DEBUGDIS);
#fuses HS, NOPUT, NOPROTECT, BROWNOUT, NOWDT
#use delay(clock=20000000)                                             // Delay procedure.
// Use external XTAL 18.432 MHz HS oscillator, do not use watchdog, enable power
// up timer, enable brown out detection, disable low voltage programming, do not
// use data protection and disable debugging.
/*===========================================================================

I/O connections:
----------------

RA0  <----  PWR_FWD     Forward power input (AN0)
RA1  <----  PWR_RWV     Reverse power input (AN1)
RA3  <----  RESERVED    Reserved, burt must be an analog input (AN3)

RB0  <----  SW_UNITS    Units swith (0=dB)
RB1  <----  SW_CC       Peak power
RB4  <----  DP_0        Decimal point bit 0
RB5  <----  DP_1        Decimal point bit 1
RB6  <----  SCALE_0     Scale bit 0
RB7  <----  SCALE_1     scale bit 1

RB3  ---->  LCD_LIGHT   LCD backlight enable line (1=on)

============================================================================= */



// --------------------------------------------------------------------------
// I/O lines definition.
// --------------------------------------------------------------------------

#define SW_UNITS        (PIN_B0)     // Units swith (0=dB)
#define SW_PEAK         (pin_B1)     // Peak-power (0=peak)
#define DP_0            (PIN_B4)     // Decimal point bit 0
#define DP_1            (PIN_B5)     // Decimal point bit 0
#define SCALE_0         (PIN_B6)     // Scale bit 0
#define SCALE_1         (PIN_B7)     // Scale bit 1
#define LCD_LIGHT       (PIN_B3)     // LCD backlight enable line (1=on)
#define PEAK            (PIN_A5)     // peak switch
#define LIGHT_ON        1
#define LIGHT_OFF       0

